Bug 1520343 - [Tracker] Firewall support for RHGS WA tracker BZ
Summary: [Tracker] Firewall support for RHGS WA tracker BZ
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-ansible
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On: 1511560 1519237
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-04 09:59 UTC by Martin Bukatovic
Modified: 2018-09-12 08:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 08:56:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github usmqe usmqe-setup issues 161 None None None 2017-12-04 10:11:10 UTC
Red Hat Bugzilla 1511560 None CLOSED Disabled inactive firewall 2019-07-08 16:27:47 UTC

Internal Links: 1511560

Description Martin Bukatovic 2017-12-04 09:59:19 UTC
Description of problem
======================

This is tracker BZ for firewall support in RHGS WA, so that:

* we don't have to disable firewalld in tendrl-ansible
* firewalld configuration is documented
* all RHGS WA features works with firewall enabled

Based on discussion under BZ 1511560

Note: the component of this BZ is set to tendrl-ansible, but it's not actually
implemented there for upcoming release.

Comment 2 Martin Bukatovic 2017-12-04 10:16:00 UTC
To verify this BZ, we need to:

* finish downstream documentation (based on upstream on which already exists)
* create qe setup playbook based on upstream or downstream docs
* when downstream docs are finished, make sure that qe playbook is in sync
* start using this playbook everywhere, for all testing purposes

Based on comment https://bugzilla.redhat.com/show_bug.cgi?id=1511560#c37

Comment 4 Martin Bukatovic 2018-09-12 08:56:28 UTC
This bug is no longer valid, since 3.4 release, RHGS WA has firewall setup
included in tendrl-ansible, see:

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/html/quick_start_guide/system_requirements#firewall_configuration


Note You need to log in before you can comment on or make changes to this bug.